Subject: area -id

From: Alok Dube <[email-masked]>
Date: Mon, 1 Dec 2003 14:28:08 +0530

Hi,

Is there any place where Area -id is used in the SPF and route advertisement
procedure?

i see it there in the DD and LSU  packets.

but do they serve any purpose (maybe other than the case where intra area my
be prefered over interarea)?

it does say in section 13.3 that the area id says that the LSA has to be
flooded only over those interfaces that are in area A except for type-5

So why not simply use the type as a distinguisher rather than Area -id?

-thanks
Alok